GET checks/{checkId}/results?mostrecent={mostrecent}&detail_level={detail_level}
Gets the most recent check results.
URL Parameters
| Name | Description |
|---|---|
| checkId | Check identifier. Type: numeric. |
| mostrecent | Number of most recent results. Type: numeric. |
| detail_level | Result detalization level. Allowed values: 0, 1. Default value: 0. |
Remarks
The default context for the route is the user context. To enable customer context (if it's allowed for the user) use the request query parameter customer_context=1.Responses
Request example
curl --request GET "https://api-asm1.apica.io/v3/checks/12345/results?mostrecent=10&detail_level=1&auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model examples and descriptions
When result detalization level is 0
[
{
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "I",
"value": 1234,
"unit": "byte"
},
{
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "E",
"value": 4637,
"unit": "ms"
},
{
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "I",
"value": 23454,
"unit": "ms"
}
]
When result detalization level is 1
[
{
"message": "1 step, 1 page, 19 urls, 3990/482261 sent/received bytes",
"identifier": "c9d9714e-d427-4821-9484-9f272e591dcb",
"attempts": 1,
"result_code": 340,
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "E",
"value": 4637,
"unit": "ms"
},
{
"message": "1 step, 1 page, 19 urls, 3990/482261 sent/received bytes",
"identifier": "ca8d6d7e-184e-4e83-a537-fe02014afe1f",
"attempts": 3,
"result_code": 340,
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "I",
"value": 23454,
"unit": "ms"
},
{
"message": "1 url, 148/6797 sent/received bytes.",
"identifier": "d87b04f1-2fa8-45f9-85e6-c5d49a449577",
"attempts": 2,
"result_code": 200,
"check_id": 12345,
"timestamp_utc": "2026-07-14T15:27:46",
"severity": "F",
"value": 23454,
"unit": "byte"
}
]
| Name | Type | Description |
|---|---|---|
| message | String |
The result message. |
| identifier | Guid |
The result identifier. |
| attempts | Integer |
The number of attempts. |
| result_code | Integer |
The code of result. |
| check_id | Integer |
The numeric identifier of the check. |
| timestamp_utc | DateTime |
Result timestamp. |
| severity | String |
Result severity. |
| value | Integer |
Result value. |
| unit | String |
Result unit of measure. |